#ifndef __ULA_H
#define __ULA_H

#include "z80.h"
#include "SDL.h"

class CULA : public CZ80IO
{
	public:
		CULA();
		~CULA();

		void Write(CZ80 &, Uint16 Addr, Uint8 Value8, Uint64 Value64, Uint32 Time);
		void Read(CZ80 &, Uint16 Addr, Uint8 &Value8, Uint64 &Value64, Uint32 Time);

		void SetEnter(bool m);

	private:
		Uint8 Bit6;
		bool PageEnable;
		bool EnterSet;

		int NumSticks;
		SDL_Joystick **Sticks;
};

#endif
